export interface ClickModifiers {
    altKey: boolean;
    ctrlKey: boolean;
    metaKey: boolean;
}
export interface UserInputProps {
    onClick?: (x: number, y: number, modifiers: ClickModifiers) => void;
    onRightClick?: (x: number, y: number, modifiers: ClickModifiers) => void;
    onPan?: (deltaX: number, deltaY: number) => void;
    onScroll?: (deltaX: number, deltaY: number) => void;
    onScale?: (deltaScale: number) => void;
}
declare const UserInput: ({ onClick, onRightClick, onPan, onScroll, onScale }: UserInputProps) => null;
export default UserInput;
